Documentation
General
Addresses
Blocks
Mining
Fees
Mempool
Transactions
Lightning
Below is a reference for the Signet REST API service.
General
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/difficulty-adjustment"{
progressPercent: 44.397234501112074,
difficultyChange: 98.45932018381687,
estimatedRetargetDate: 1627762478,
remainingBlocks: 1121,
remainingTime: 665977,
previousRetarget: -4.807005268478962,
nextRetargetHeight: 741888,
timeAvg: 302328,
adjustedTimeAvg: 302328,
timeOffset: 0
}Addresses
address, chain_stats, and mempool_stats. chain_stats and mempool_stats each contain an object with tx_count, funded_txo_count, funded_txo_sum, spent_txo_count, and spent_txo_sum.curl -sSL "https://signet.btc.tx.taxi/signet/api/address/1wiz18xYmhRX6xStj2b9t1rwWX4GKUgpv"{
address: "1wiz18xYmhRX6xStj2b9t1rwWX4GKUgpv",
chain_stats: {
funded_txo_count: 5,
funded_txo_sum: 15007599040,
spent_txo_count: 5,
spent_txo_sum: 15007599040,
tx_count: 7
},
mempool_stats: {
funded_txo_count: 0,
funded_txo_sum: 0,
spent_txo_count: 0,
spent_txo_sum: 0,
tx_count: 0
}
}after_txid query parameter.curl -sSL "https://signet.btc.tx.taxi/signet/api/address/1wiz18xYmhRX6xStj2b9t1rwWX4GKUgpv/txs"{
address: "1wiz18xYmhRX6xStj2b9t1rwWX4GKUgpv",
chain_stats: {
funded_txo_count: 5,
funded_txo_sum: 15007599040,
spent_txo_count: 5,
spent_txo_sum: 15007599040,
tx_count: 7
},
mempool_stats: {
funded_txo_count: 0,
funded_txo_sum: 0,
spent_txo_count: 0,
spent_txo_sum: 0,
tx_count: 0
}
}curl -sSL "https://signet.btc.tx.taxi/signet/api/address/1wiz18xYmhRX6xStj2b9t1rwWX4GKUgpv/txs/chain"{
address: "1wiz18xYmhRX6xStj2b9t1rwWX4GKUgpv",
chain_stats: {
funded_txo_count: 765,
funded_txo_sum: 87749875807,
spent_txo_count: 765,
spent_txo_sum: 87749875807,
tx_count: 875
},
mempool_stats: {
funded_txo_count: 0,
funded_txo_sum: 0,
spent_txo_count: 0,
spent_txo_sum: 0,
tx_count: 0
}
}curl -sSL "https://signet.btc.tx.taxi/signet/api/address/1wiz18xYmhRX6xStj2b9t1rwWX4GKUgpv/txs/mempool"[
{
txid: "16cd9bbc6b62313a22d16671fa559aec6bf581df8b5853d37775c84b0fddfa90",
version: 2,
locktime: 0,
vin: [ [Object] ],
vout: [ [Object], [Object] ],
size: 226,
weight: 904,
fee: 6720,
status: { confirmed: false }
}
]txid, vout, value, and status (with the status of the funding tx).curl -sSL "https://signet.btc.tx.taxi/signet/api/address/tb1pu8ysre22dcl6qy5m5w7mjwutw73w4u24slcdh4myq06uhr6q29dqwc3ckt/utxo"[
{
txid: "c56a054302df8f8f80c5ac6b86b24ed52bf41d64de640659837c56bc33d10c9e",
vout: 0,
status: {
confirmed: true,
block_height: 174923,
block_hash: "000000750e335ff355be2e3754fdada30d107d7d916aef07e2f5d014bec845e5",
block_time: 1703321003
},
value: 546
},
...
]isvalid (boolean), address (string), scriptPubKey (string), isscript (boolean), iswitness (boolean), witness_version (numeric, optional), and witness_program (string, optional).curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/validate-address/tb1pu8ysre22dcl6qy5m5w7mjwutw73w4u24slcdh4myq06uhr6q29dqwc3ckt"{
isvalid: true,
address: "tb1pu8ysre22dcl6qy5m5w7mjwutw73w4u24slcdh4myq06uhr6q29dqwc3ckt",
scriptPubKey: "5120e1c901e54a6e3fa0129ba3bdb93b8b77a2eaf15587f0dbd76403f5cb8f40515a",
isscript: true,
iswitness: true,
witness_version: 1,
witness_program: "e1c901e54a6e3fa0129ba3bdb93b8b77a2eaf15587f0dbd76403f5cb8f40515a"
}Blocks
curl -sSL "https://signet.btc.tx.taxi/signet/api/block/000000ca66fab8083d4f0370d499c3d602e78af5fa69b2427cda15a3f0d96152"{
id: "000000ca66fab8083d4f0370d499c3d602e78af5fa69b2427cda15a3f0d96152",
height: 53745,
version: 536870912,
timestamp: 1630624390,
tx_count: 1,
size: 343,
weight: 1264,
merkle_root: "2c1984132841b9f98270274012b22beb7d4ade778cf058e9a44d38de5a111362",
previousblockhash: "000001497bffdc2347656847647f343afc0eee441a849259335b8a1d79b6aa4a",
mediantime: 1630621400,
nonce: 19642021,
bits: 503404179,
difficulty: 0
}curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/block/000000ca66fab8083d4f0370d499c3d602e78af5fa69b2427cda15a3f0d96152"{
"id": "000000ca66fab8083d4f0370d499c3d602e78af5fa69b2427cda15a3f0d96152",
"height": 53745,
"version": 536870912,
"timestamp": 1630624390,
"bits": 503404179,
"nonce": 19642021,
"difficulty": 0.002919030932507782,
"merkle_root": "2c1984132841b9f98270274012b22beb7d4ade778cf058e9a44d38de5a111362",
"tx_count": 1,
"size": 343,
"weight": 1264,
"previousblockhash": "000001497bffdc2347656847647f343afc0eee441a849259335b8a1d79b6aa4a",
"mediantime": 1630621400,
"extras": {
"totalFees": 0,
"medianFee": 0,
"feeRange": [
0,
0,
0,
0,
0,
0,
0
],
"reward": 5000000000,
"pool": {
"id": 0,
"name": "Unknown",
"slug": "unknown",
"minerNames": null
},
"avgFee": 0,
"avgFeeRate": 0,
"coinbaseRaw": "03f1d100",
"coinbaseAddress": "tb1pqk4mdqzp8kpu2g6nrahwd9j0muacyjfadk99tvmpf5vqya8rt5fq2dxx99",
"coinbaseAddresses": [
"tb1pqk4mdqzp8kpu2g6nrahwd9j0muacyjfadk99tvmpf5vqya8rt5fq2dxx99"
],
"coinbaseSignature": "OP_PUSHNUM_1 OP_PUSHBYTES_32 05abb680413d83c523531f6ee6964fdf3b82493d6d8a55b3614d180274e35d12",
"coinbaseSignatureAscii": "...",
"avgTxSize": 0,
"totalInputs": 0,
"totalOutputs": 2,
"totalOutputAmt": 0,
"medianFeeAmt": null,
"feePercentiles": null,
"segwitTotalTxs": 0,
"segwitTotalSize": 0,
"segwitTotalWeight": 0,
"header": "000000204aaab6791d8a5b335992841a44ee0efc3a347f644768654723dcff7b490100006213115ade384da4e958f08c77de4a7deb2bb21240277082f9b941281384192c865a31619356011ea5b62b01",
"utxoSetChange": 2,
"utxoSetSize": 302621,
"totalInputAmt": 0,
"virtualSize": 316,
"firstSeen": null,
"orphans": [],
"matchRate": null,
"expectedFees": null,
"expectedWeight": null
}
}curl -sSL "https://signet.btc.tx.taxi/signet/api/block/000000ca66fab8083d4f0370d499c3d602e78af5fa69b2427cda15a3f0d96152/header"000000204aaab6791d8a5b335992841a44ee0efc3a347f644768654723dcff7b490100006213115ade384da4e958f08c77de4a7deb2bb21240277082f9b941281384192c865a31619356011ea5b62b01:timestamp.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/timestamp/1672531200"{
height: 123713,
hash: "0000010c6df8ffe1684ab9d7cfac69836a4538c057fab4571b809120fe486c96",
timestamp: "2022-12-31T23:55:56.000Z"
}in_best_chain (boolean, false for orphaned blocks), next_best (the hash of the next block, only available for blocks in the best chain).:index within the specified block.curl -sSL "https://signet.btc.tx.taxi/signet/api/block/0000014b62b53d2550c310208af9d792ab7a9a2487a67d82c06b17b201ee602f/txids"[
"4220d4fe0ec4beb9313e15fa225fb0bbdf2c17d74b56615e07263aed32d4fdb2",
"b72a9a7cfbb0685e393f86fa1fa1c43c2888b9ad01c9ac48a28b98e2c8721a89",
"0597e9355e868f98560b0e30d0c6b9f5e7c0f004c376ef26850f61096fabb692",
"857ff0a341b14aae2e45122d458f13d0d744cc1081ef0ae2aaec32c01587d1c0",
"6062ac26ef4b0c9b5343bdf46c1677297f85705f523472a96383af276a20b0da",
"a469bed29a54ef3ed5d00c472f10603ed3ee7c4972fc3cb623e738d628064d19",
"ca1a3d14d88dc72a5cb6da198c7151f1f71718ee4b4ba70d6bc597a260b0ab20",
"7516b5aaeaab70a735f47b4e100421363cef535378d522a3244ac8741b9d6740",
"ee428b6be6df6655ddcbfd64bb3a8fa8de513c4f50d94c1ef91df1254cf45172",
"7cf09ecd458613cd3817754286d356fd91efa8456cc9fdc744b65dd6e01ca6ab",
"43082dda77028f2ccab3639c919aea6049fd3917a5f3f413f0ee12ca4daf4ad6",
"13e4c56fdc40928e8639d19aefff23270ea5555c6e8887fd95b609c50297cbe0",
"99bcab11aab1ccb4b2881e5fb0e9b788b8ee0064caa0915e3de62ff8ea65adf5"
]start_index). Transactions returned here do not have the status field, since all the transactions share the same block and confirmation status.curl -sSL "https://signet.btc.tx.taxi/signet/api/block/0000014b60b53d2550c310200af9d792ab7a9a2487a67d82c06b17b201ee602f/txs"[
{
txid: "4220d4fe0ec4beb9313e15fa225fb0bbdf2c17d74b56615e07263aed32d4fdb2",
version: 1,
locktime: 0,
vin: [],
vout: [],
size: 250,
weight: 892,
fee: 0,
status: {
confirmed: true,
block_height: 53770,
block_hash: "0000014b62b53d2550c310208af9d792ab7a9a2487a67d82c06b17b201ee602f",
block_time: 1630635847
}
},
...
]:startHeight is specified, the 10 blocks before (and including) :startHeight are returned.curl -sSL "https://signet.btc.tx.taxi/signet/api/blocks/53783"[
{
"id": "0000010eeacb878340bae34af4e13551413d76a172ec302f7e50b62cb45374f2",
"height": 53783,
"version": 536870912,
"timestamp": 1630641504,
"tx_count": 1,
"size": 343,
"weight": 1264,
"merkle_root": "3063ff3802c920eea68bdc9303957f3e7bfd0a03c93547fd7dad14b77a07d4e8",
"previousblockhash": "00000109a7ea774fcc2d173f9a1da9595a47ff401dac67ca9edea149954210fa",
"mediantime": 1630638966,
"nonce": 11753379,
"bits": 503404179,
"difficulty": 0.00291903093250778
},
{
"id": "00000109a7ea774fcc2d173f9a1da9595a47ff401dac67ca9edea149954210fa",
"height": 53782,
"version": 536870912,
"timestamp": 1630640959,
"tx_count": 10,
"size": 1837,
"weight": 5545,
"merkle_root": "888cf13ad83ba4c9d44dee7984a1dafee6c78d329178c51bf0ffe61d98df40f3",
"previousblockhash": "000001508377eba43e83abb169ee1454daed14697267b9baf970b3fd556191e3",
"mediantime": 1630638721,
"nonce": 1074604,
"bits": 503404179,
"difficulty": 0.00291903093250778
},
...
]extras field. If :startHeight is specified, the past 15 blocks before (and including) :startHeight are returned.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/blocks/53783"[
{
"id": "0000010eeacb878340bae34af4e13551413d76a172ec302f7e50b62cb45374f2",
"height": 53783,
"version": 536870912,
"timestamp": 1630641504,
"bits": 503404179,
"nonce": 11753379,
"difficulty": 0.00291903093250778,
"merkle_root": "3063ff3802c920eea68bdc9303957f3e7bfd0a03c93547fd7dad14b77a07d4e8",
"tx_count": 1,
"size": 343,
"weight": 1264,
"previousblockhash": "00000109a7ea774fcc2d173f9a1da9595a47ff401dac67ca9edea149954210fa",
"mediantime": 1630638966,
"extras": {
"totalFees": 0,
"medianFee": 0,
"feeRange": [0, 0, 0, 0, 0, 0, 0],
"reward": 5000000000,
"pool": {
"id": 0,
"name": "Unknown",
"slug": "unknown",
"minerNames": null
},
"avgFee": 0,
"avgFeeRate": 0,
"coinbaseRaw": "0317d200",
"coinbaseAddress": "tb1p95clr67qe8s3l27nd2cry22fdhmque3fgze08urhc099pml0rwmqddz08l",
"coinbaseAddresses": [
"tb1p95clr67qe8s3l27nd2cry22fdhmque3fgze08urhc099pml0rwmqddz08l"
],
"coinbaseSignature": "OP_PUSHNUM_1 OP_PUSHBYTES_32 2d31f1ebc0c9e11fabd36ab03229496df60e662940b2f3f077c3ca50efef1bb6",
"coinbaseSignatureAscii": "...",
"avgTxSize": 0,
"totalInputs": 0,
"totalOutputs": 2,
"totalOutputAmt": 0,
"medianFeeAmt": null,
"feePercentiles": null,
"segwitTotalTxs": 0,
"segwitTotalSize": 0,
"segwitTotalWeight": 0,
"header": "00000020fa10429549a1de9eca67ac1d40ff475a59a91d9a3f172dcc4f77eaa709010000e8d4077ab714ad7dfd4735c9030afd7b3e7f950393dc8ba6ee20c90238ff6330609d31619356011ea357b300",
"utxoSetChange": 2,
"utxoSetSize": 303088,
"totalInputAmt": 0,
"virtualSize": 316,
"firstSeen": null,
"orphans": [],
"matchRate": null,
"expectedFees": null,
"expectedWeight": null
}
},
...
]Returns details on the range of blocks between :minHeight and :maxHeight, inclusive, up to 10 blocks. If :maxHeight is not specified, it defaults to the current tip.
To return data for more than 10 blocks, consider a tx.taxi Enterprise plan.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/blocks-bulk/100000/100000"[
{
"height": 100000,
"hash": "0000008753108390007b3f5c26e5d924191567e147876b84489b0c0cf133a0bf",
"timestamp": 1658421183,
"median_timestamp": 1658418056,
"previous_block_hash": "000000b962a13c3dd3f81917bc8646a0c98224adcd5124026d4fdfcb76a76d30",
"difficulty": 0.002781447610743506,
"header": "00000020306da776cbdf4f6d022451cdad2482c9a04686bc1719f8d33d3ca162b90000001367fb15320ebb1932fd589f8f38866b692ca8a4ad6100a4bc732d212916d0efbf7fd9628567011e47662d00",
"version": 536870912,
"bits": 503408517,
"nonce": 2975303,
"size": 343,
"weight": 1264,
"tx_count": 1,
"merkle_root": "efd01629212d73bca40061ada4a82c696b86388f9f58fd3219bb0e3215fb6713",
"reward": 5000000000,
"total_fee_amt": 0,
"avg_fee_amt": 0,
"median_fee_amt": 0,
"fee_amt_percentiles": {
"min": 0,
"perc_10": 0,
"perc_25": 0,
"perc_50": 0,
"perc_75": 0,
"perc_90": 0,
"max": 0
},
"avg_fee_rate": 0,
"median_fee_rate": 0,
"fee_rate_percentiles": {
"min": 0,
"perc_10": 0,
"perc_25": 0,
"perc_50": 0,
"perc_75": 0,
"perc_90": 0,
"max": 0
},
"total_inputs": 0,
"total_input_amt": null,
"total_outputs": 2,
"total_output_amt": 0,
"segwit_total_txs": 0,
"segwit_total_size": 0,
"segwit_total_weight": 0,
"avg_tx_size": 0,
"utxoset_change": 2,
"utxoset_size": null,
"coinbase_raw": "03a08601",
"coinbase_address": "tb1psfjl80vk0yp3agcq6ylueas29rau00mfq90mhejerpgccg33xhasd9gjyd",
"coinbase_signature": "OP_PUSHNUM_1 OP_PUSHBYTES_32 8265f3bd9679031ea300d13fccf60a28fbc7bf69015fbbe65918518c223135fb",
"coinbase_signature_ascii": " �",
"pool_slug": "unknown",
"orphans": []
}
]Mining
:timePeriod.Leave :timePeriod unspecified to get all available data, or specify one of the following values: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
Returns details about the mining pool specified by :slug.
Returns average hashrates (and share of total hashrate) of mining pools active in the specified trailing :timePeriod, in descending order of hashrate.
Leave :timePeriod unspecified to get all available data, or specify any of the following time periods: 1m, 3m, 6m, 1y, 2y, 3y.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/hashrate/pools/1w"[
{
"timestamp": 1600041600,
"avgHashrate": 21621.70283633912,
"share": 1,
"poolName": "Unknown"
}
]:slug. Hashrate values are weekly averages.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/pool/unknown/hashrate"[
{
"timestamp": 1600041600,
"avgHashrate": 21621.70283633912,
"share": 1,
"poolName": "Unknown"
},
{
"timestamp": 1600646400,
"avgHashrate": 23490.65374463165,
"share": 1,
"poolName": "Unknown"
},
{
"timestamp": 1601251200,
"avgHashrate": 22660.62333333333,
"share": 1,
"poolName": "Unknown"
},
...
]:slug) before the specified :blockHeight. If no :blockHeight is specified, the mining pool's 10 most recent blocks are returned.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/pool/unknown/blocks/45000"[
{
"id": "00000002440c34e403b2b4e10f390ab105c825dd6285cd6f4050db23cf7e3e46",
"timestamp": 1625317548,
"height": 44999,
"version": 536870912,
"bits": 503405326,
"nonce": 14354169,
"difficulty": 0.002881346304279315,
"merkle_root": "3324dc134dec1b57cfea574ce2db6e40e51469417b6381a1389e7969386ab42e",
"tx_count": 14,
"size": 2971,
"weight": 8149,
"previousblockhash": "000000d7998f5cf0fb144a400566221574f5f35ebd5d7d9fa803460b6942e237",
"extras": {
"coinbaseRaw": "03c7af00",
"medianFee": 1,
"reward": 5000002252,
"totalFees": 2252,
"pool": {
"id": 137
}
}
},
{
"id": "000000d7998f5cf0fb144a400566221574f5f35ebd5d7d9fa803460b6942e237",
"timestamp": 1625317223,
"height": 44998,
"version": 536870912,
"bits": 503405326,
"nonce": 4729165,
"difficulty": 0.002881346304279315,
"merkle_root": "55869f5a52d7709fb2c6df91d64841f4551d659948b7537b6cd8f19c68d27115",
"tx_count": 32,
"size": 6967,
"weight": 18247,
"previousblockhash": "000000d6de5b925642a7afed41994947db8612955fbdfd9d1b48f99fc0187385",
"extras": {
"coinbaseRaw": "03c6af00",
"medianFee": 1,
"reward": 5000005528,
"totalFees": 5528,
"pool": {
"id": 137
}
}
},
...
]Returns network-wide hashrate and difficulty figures over the specified trailing :timePeriod:
- Current (real-time) hashrate
- Current (real-time) difficulty
- Historical daily average hashrates
- Historical difficulty
Valid values for :timePeriod are 1m, 3m, 6m, 1y, 2y, 3y. If no time interval is specified, all available data is returned.
Be sure that INDEXING_BLOCKS_AMOUNT is set properly in your backend config so that enough blocks are indexed to properly serve your request.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/hashrate/3d"{
"hashrates": [
{
"timestamp": 1652745600,
"avgHashrate": 21304.18163251096
},
{
"timestamp": 1652832000,
"avgHashrate": 22034.51091213679
},
{
"timestamp": 1652918400,
"avgHashrate": 20312.75493978447
}
],
"difficulty": [
{
"timestamp": 1652692199,
"difficulty": 0.002868721424409158,
"height": 90533
},
{
"timestamp": 1652796655,
"difficulty": 0.00286032350920122,
"height": 90720
}
],
"currentHashrate": 23490.95654668005,
"currentDifficulty": 0.00286032350920122
}Returns the record of difficulty adjustments over the specified trailing :interval:
- Block timestamp
- Block height
- Difficulty
- Difficulty change
If no time interval is specified, all available data is returned.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/difficulty-adjustments/1m"[
[
1702402252,
173376,
0.002967416960321784,
1.01893
],
[
1701214807,
171360,
0.002912289751655253,
0.9652
]
]:blockCount blocks.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/reward-stats/100"{
"startBlock": 90899,
"endBlock": 90998,
"totalReward": "500001245259",
"totalFee": "1245259",
"totalTx": "1112"
}Returns average total fees for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and fee amounts are exact (not averages). For the 1w time period, fees may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, fees are averages.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/fees/1w"[
{
"avgHeight": 89978,
"timestamp": 1652346573,
"avgFees": 1071
},
{
"avgHeight": 89979,
"timestamp": 1652346970,
"avgFees": 1224
},
...
]Returns average block rewards for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and block rewards are exact (not averages). For the 1w time period, block rewards may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, block rewards are averages.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/rewards/1d"[
{
"avgHeight": 183,
"timestamp": 1598962247,
"avgRewards": 5000000000
},
{
"avgHeight": 576,
"timestamp": 1599047892,
"avgRewards": 5000000000
},
...
]:timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and percentiles are exact (not averages). For the 1w time period, percentiles may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, percentiles are averages.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/fee-rates/1m"{
"blockFeeRates": [
{
"avgHeight": 86620,
"timestamp": 1650360010,
"avgFee_0": 1,
"avgFee_10": 1,
"avgFee_25": 1,
"avgFee_50": 1,
"avgFee_75": 1,
"avgFee_90": 1,
"avgFee_100": 1
},
{
"avgHeight": 86623,
"timestamp": 1650361330,
"avgFee_0": 1,
"avgFee_10": 1,
"avgFee_25": 1,
"avgFee_50": 1,
"avgFee_75": 1,
"avgFee_90": 1,
"avgFee_100": 1
},
...
]Returns average size (bytes) and average weight (weight units) for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/sizes-weights/3y"{
"sizes": [
{
"avgHeight": 83,
"timestamp": 1598937527,
"avgSize": 329
},
{
"avgHeight": 266,
"timestamp": 1598982991,
"avgSize": 330
},
...
],
"weights": [
{
"avgHeight": 83,
"timestamp": 1598937527,
"avgWeight": 1209
},
{
"avgHeight": 266,
"timestamp": 1598982991,
"avgWeight": 1212
},
...
]
}Returns average block health in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/predictions/3y"[
[
1687246696,
129639,
0
],
[
1687303289,
148191,
0
],
[
1687315093,
148218,
0
],
[
1687368211,
148312,
0
],
...
]:blockHash. Available fields: hash, matchRate, expectedFees, and expectedWeight.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/audit/score/000000c1491d7d4229d4bf07e0dcaa7e396767b45be388e1174c7439a9490121"{
hash: "000000c1491d7d4229d4bf07e0dcaa7e396767b45be388e1174c7439a9490121",
matchRate: 100,
expectedFees: 80520,
expectedWeight: 16487
}:startHeight is specified, the past 15 blocks before (and including) :startHeight are returned. Available fields: hash, matchRate, expectedFees, and expectedWeight.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/mining/blocks/audit/scores/175504"[
{
hash: "00000012d54289925efc151f2e111e0775e80c3b6bb4b0dcd3ff01dec4bbc5d0",
matchRate: 100,
expectedFees: 4767,
expectedWeight: 2524
},
{
hash: "00000031e269cf0b567260b01ae11453175f4598fdb4f1908c5e2f4265b9d93a",
matchRate: 100,
expectedFees: 9090,
expectedWeight: 1851
},
...
]:blockHash. Available fields: height, id, timestamp, template, missingTxs, addedTxs, freshTxs, sigopTxs, fullrbfTxs, acceleratedTxs, matchRate, expectedFees, and expectedWeight.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/block/0000008acf5177d07f1d648f4d54f26095936a5d29a0a6145dd75a0415e63c0f/audit-summary"{
height: 175519,
id: "0000008acf5177d07f1d648f4d54f26095936a5d29a0a6145dd75a0415e63c0f",
timestamp: 1703682844,
template: [
{
txid: "f95b38742c483b81dc4ff49a803bae7625f1596ec5756c944d7586dfe8b38250",
fee: 3766,
vsize: 172.25,
value: 115117171776,
rate: 21.86357039187228,
flags: 1099528425481
},
{
txid: "8665c4d05732c930c2037bc0220e4ab9b1b64ce3302363ff7d118827c7347b52",
fee: 3766,
vsize: 172.25,
value: 115116509429,
rate: 21.86357039187228,
flags: 1099528425481
},
...
],
missingTxs: [],
addedTxs: [],
freshTxs: [],
sigopTxs: [],
fullrbfTxs: [],
acceleratedTxs: [],
matchRate: 100,
expectedFees: 10494,
expectedWeight: 6582
}Fees
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/fees/mempool-blocks"[
{
blockSize: 16157,
blockVSize: 10338.5,
nTx: 75,
totalFees: 13493,
medianFee: 1.304812834224599,
feeRange: [
1.304812834224599,
1.304812834224599,
1.304812834224599,
1.304812834224599,
1.304812834224599,
1.304812834224599,
1.304812834224599,
1.3123359580052494
]
}
]curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/fees/precise"{
"fastestFee": 1.5,
"halfHourFee": 1.25,
"hourFee": 1,
"economyFee": 1,
"minimumFee": 1
}Mempool
curl -sSL "https://signet.btc.tx.taxi/signet/api/mempool/txids"[
"ddd40341cfa1268801407e9ff43da020cab03f8bf1b422239da0652a4496367e",
"7fe571957cf61c41598e2acb54211be32cd13df2b71b1612af1d860bbfb5ee9f",
"b7cd3be4de533db392bb5bd8aaedd8b25607514502c60c0c6d54358931a6d95f",
"7786de8ee4fe0b11410658866800b90e5a798e3721dd6031c6b5094474bd80c1",
...
]txid, fee, vsize, and value.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/replacements"[
{
tx: {
txid: "13985a5717a1ea54ce720cd6b70421b1667061be491a6799acf6dea01c551248",
fee: 5040,
vsize: 215.5,
value: 762745,
rate: 23.387470997679813,
rbf: true,
fullRbf: false,
mined: true
},
time: 1703316271,
fullRbf: false,
replaces: [
{
tx: {
txid: "eac5ec8487414c955f4a5d3b2e516c351aec5299f1335f9019a00907962386ce",
fee: 4560,
vsize: 215.25,
value: 763225,
rate: 21.18466898954704,
rbf: true
},
time: 1703316270,
interval: 1,
fullRbf: false,
replaces: []
}
],
mined: true
}
]curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/fullrbf/replacements"[
{
tx: {
txid: "25e2bfaf0e0821e5cb71f11e460b2f71e1d5a3755015de42544afa5fbad6d443",
fee: 24436,
vsize: 297.75,
value: 273418,
rate: 82.0688497061293,
rbf: false,
fullRbf: true
},
time: 1703409882,
fullRbf: true,
replaces: [
{
tx: {
txid: "07d501e8ad4a25f07f3ced0a6102741720f710765e6fdb2eb966ba0df657997a",
fee: 24138,
vsize: 297.75,
value: 273716,
rate: 81.06801007556675,
rbf: false
},
time: 1703409853,
interval: 29,
fullRbf: true,
replaces: []
}
]
},
...
]Transactions
txid, version, locktime, size, weight, fee, vin, vout, and status.curl -sSL "https://signet.btc.tx.taxi/signet/api/tx/fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025"{
txid: "fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025",
version: 2,
locktime: 0,
vin: [],
vout: [],
size: 99,
weight: 381,
fee: 125,
status: {
confirmed: true,
block_height: 53788,
block_hash: "0000012a49f15fdbec49f647800d26dabc4027ade9739f398f618d167128b225",
block_time: 1630648988
}
}curl -sSL "https://signet.btc.tx.taxi/signet/api/tx/fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025/hex"02000000000101b7913f140f19850975352064a7ccfd7e96e1ed9a847c463309839a37c9d01e530000000000ffffffff017d65a61d000000002200204ae81572f06e1b88fd5ced7a1a000945432e83e1551e6f721ee9c00b8cc3326001015100000000curl -sSL "https://signet.btc.tx.taxi/signet/api/tx/fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025/merkleblock-proof"00000020d356e0a14120d45653120a7bd53280ffce2aa2ced301682a1f2867687f000000298ef149a1675866dbdde315b22c24c63fd7670fdc5b86b588007fa187fa85089cba31619356011eaedd8800180000000656e9b938241cb350316cd9155167f3bce7370aa1095143c304ef7a44da4984e02550c48f3e01648dd65f5e3e290432c...curl -sSL "https://signet.btc.tx.taxi/signet/api/tx/fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025/merkle-proof"{
block_height: 53788,
merkle: [
"e08449da447aef04c3435109a10a37e7bcf3675115d96c3150b31c2438b9e956",
"027699486d6cc71669bbc8168632101ed95266dcd02fa8b757830d570ef54d15",
"62458b115b3db7e9dafecb37de1fcb985891bc77a323018811b6d0392e3705a6",
"3a32287eccca335a3dac6aede77855a78faed4060d16bb89517da9816a763cb4",
"76a86eb801f1884b99389af3cd41a7994679c3f93c53f9fcf0505ab1340b329f"
],
pos: 1
}spent (boolean), txid (optional), vin (optional), and status (optional, the status of the spending tx).curl -sSL "https://signet.btc.tx.taxi/signet/api/tx/fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025/outspend/0"{
spent: true,
txid: "ad9cb0f6770219f0a2325d77466d30ff2ddd18b0f7f68b1deb547c4b3b972623",
vin: 0,
status: {
confirmed: true,
block_height: 53789,
block_hash: "000000372e6b34e56866b4e4c75a372454e956bc42f6760b1b119bfa5ce58223",
block_time: 1630649351
}
}curl -sSL "https://signet.btc.tx.taxi/signet/api/tx/fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025/outspends"[
{
spent: true,
txid: "ad9cb0f6770219f0a2325d77466d30ff2ddd18b0f7f68b1deb547c4b3b972623",
vin: 0,
status: {
confirmed: true,
block_height: 53789,
block_hash: "000000372e6b34e56866b4e4c75a372454e956bc42f6760b1b119bfa5ce58223",
block_time: 1630649351
}
}
]curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/tx/13985a5717a1ea54ce720cd6b70421b1667061be491a6799acf6dea01c551248/rbf"{
replacements: {
tx: {
txid: "13985a5717a1ea54ce720cd6b70421b1667061be491a6799acf6dea01c551248",
fee: 5040,
vsize: 215.5,
value: 762745,
rate: 23.387470997679813,
rbf: true,
fullRbf: false,
mined: true
},
time: 1703316272,
fullRbf: false,
replaces: [
{
tx: {
txid: "eac5ec8487414c955f4a5d3b2e516c351aec5299f1335f9019a00907962386ce",
fee: 4560,
vsize: 215.25,
value: 763225,
rate: 21.18466898954704,
rbf: true
},
time: 1703316270,
interval: 2,
fullRbf: false,
replaces: []
}
],
mined: true
},
replaces: [
"eac5ec8487414c955f4a5d3b2e516c351aec5299f1335f9019a00907962386ce"
]
}confirmed (boolean), block_height (optional), and block_hash (optional).curl -sSL "https://signet.btc.tx.taxi/signet/api/tx/fe80c0c2439d41d301f35570018b4239ca3204293e5e5fd68d64013e8fc45025/status"{
confirmed: true,
block_height: 53788,
block_hash: "0000012a49f15fdbec49f647800d26dabc4027ade9739f398f618d167128b225",
block_time: 1630648988
}0.curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/transaction-times?txId[]=8af0c5199acd89621244f2f61107fe5a9c7c7aad54928e8400651d03ca949aeb&txId[]=08f840f7b0c33c5b0fdadf1666e8a8c206836993d95fc1eeeef39b5ef9de03d0"[1703267652,1703267696]txid will be returned on success.curl -X POST -sSLd "0200000001fd5b5fcd1cb066c27cfc9fda5428b9be850b81ac440ea51f1ddba2f987189ac1010000008a4730440220686a40e9d2dbffeab4ca1ff66341d06a17806767f12a1fc4f55740a7af24c6b5022049dd3c9a85ac6c51fecd5f4baff7782a518781bbdd94453c8383755e24ba755c01410436d554adf4a3eb03a317c77aa4020a7bba62999df633bba0ea8f83f48b9e01b0861d3b3c796840f982ee6b14c3c4b7ad04fcfcc3774f81bff9aaf52a15751fedfdffffff02416c00000000000017a914bc791b2afdfe1e1b5650864a9297b20d74c61f4787d71d0000000000001976a9140a59837ccd4df25adc31cdad39be6a8d97557ed688ac00000000" "https://signet.btc.tx.taxi/signet/api/tx"Lightning
Returns network-wide stats such as total number of channels and nodes, total capacity, and average/median fee figures.
Pass one of the following for :interval: latest, 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/statistics/latest"{
"latest": {
"id": 13,
"added": "2022-08-30T00:00:00.000Z",
"channel_count": 33,
"node_count": 24,
"total_capacity": 161821884,
"tor_nodes": 5,
"clearnet_nodes": 11,
"unannounced_nodes": 6,
"avg_capacity": 4903693,
"avg_fee_rate": 38,
"avg_base_fee_mtokens": 1061,
"med_capacity": 2000000,
"med_fee_rate": 1,
"med_base_fee_mtokens": 1000,
"clearnet_tor_nodes": 2
}
}Returns Lightning nodes and channels that match a full-text, case-insensitive search :query across node aliases, node pubkeys, channel IDs, and short channel IDs.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/search?searchText=guggero"{
"nodes": [
{
"public_key": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"alias": "guggero",
"capacity": 66577093,
"channels": 12,
"status": 1
}
],
"channels": []
}Returns a list of Lightning nodes running on clearnet in the requested :country, where :country is an ISO Alpha-2 country code.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/country/us"{
"country": {
"de": "Vereinigte Staaten",
"en": "United States",
"es": "Estados Unidos",
"fr": "États Unis",
"ja": "アメリカ",
"pt-BR": "EUA",
"ru": "США",
"zh-CN": "美国"
},
"nodes": [
{
"public_key": "03f70ac4525c0014bbf380c069ce82d70946d37a56c027a2ed18609a3e60c3b353",
"capacity": 2000000,
"channels": 1,
"alias": "",
"first_seen": 1637708194,
"updated_at": 0,
"city": {
"en": "Oak Park",
"ru": "Оук-Парк"
},
"country": {
"de": "Vereinigte Staaten",
"en": "United States",
"es": "Estados Unidos",
"fr": "États Unis",
"ja": "アメリカ",
"pt-BR": "EUA",
"ru": "США",
"zh-CN": "美国"
},
"iso_code": "US",
"subdivision": {
"en": "Illinois",
"es": "Illinois",
"fr": "Illinois",
"ja": "イリノイ州",
"pt-BR": "Ilinóis",
"ru": "Иллинойс",
"zh-CN": "伊利诺伊州"
}
},
{
"public_key": "0397b15fd867541c53a3a5e27c021f7acad582684d05d120af572266c92c8a0313",
"capacity": 19802,
"channels": 1,
"alias": "pseudozach",
"first_seen": 1637620444,
"updated_at": 1637721257,
"city": {
"de": "Atlanta",
"en": "Atlanta",
"es": "Atlanta",
"fr": "Atlanta",
"ja": "アトランタ",
"pt-BR": "Atlanta",
"ru": "Атланта",
"zh-CN": "亚特兰大"
},
"country": {
"de": "Vereinigte Staaten",
"en": "United States",
"es": "Estados Unidos",
"fr": "États Unis",
"ja": "アメリカ",
"pt-BR": "EUA",
"ru": "США",
"zh-CN": "美国"
},
"iso_code": "US",
"subdivision": {
"en": "Georgia",
"es": "Georgia",
"fr": "Géorgie",
"ja": "ジョージア州",
"pt-BR": "Geórgia",
"ru": "Джорджия",
"zh-CN": "乔治亚"
}
},
...
]
}Returns aggregate capacity and number of clearnet nodes per country. Capacity figures are in satoshis.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/countries"[
{
"name": {
"de": "Vereinigte Staaten",
"en": "United States",
"es": "Estados Unidos",
"fr": "États Unis",
"ja": "アメリカ",
"pt-BR": "EUA",
"ru": "США",
"zh-CN": "美国"
},
"iso": "US",
"count": 4,
"share": 36.36,
"capacity": "2059317"
},
{
"name": {
"de": "Japan",
"en": "Japan",
"es": "Japón",
"fr": "Japon",
"ja": "日本",
"pt-BR": "Japão",
"ru": "Япония",
"zh-CN": "日本"
},
"iso": "JP",
"count": 2,
"share": 18.18,
"capacity": "107710417"
},
...
]Returns a list of nodes hosted by a specified :isp, where :isp is an ISP's ASN.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/isp/7684"{
"isp": "SAKURA Internet",
"nodes": [
{
"public_key": "02dadf6c28f3284d591cd2a4189d1530c1ff82c07059ebea150a33ab76e7364b4a",
"capacity": 51155987,
"channels": 15,
"alias": "珠美ノード⚡@wakiyamap",
"first_seen": 1612221581,
"updated_at": 1662382573,
"city": null,
"country": {
"de": "Japan",
"en": "Japan",
"es": "Japón",
"fr": "Japon",
"ja": "日本",
"pt-BR": "Japão",
"ru": "Япония",
"zh-CN": "日本"
},
"iso_code": "JP",
"subdivision": null
}
]
}Returns aggregate capacity, number of nodes, and number of channels per ISP. Capacity figures are in satoshis.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/isp-ranking"{
"clearnetCapacity": 126914725,
"torCapacity": 1000000,
"unknownCapacity": 31150000,
"ispRanking": [
[
"1136",
"KPN",
99878,
1,
1
],
[
"24940",
"Hetzner Online GmbH",
34877093,
6,
1
],
...
]
}Returns two lists of the top 100 nodes: one ordered by liquidity (aggregate channel capacity) and the other ordered by connectivity (number of open channels).
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/rankings"{
"topByCapacity": [
{
"publicKey": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"alias": "guggero",
"capacity": 66577093
},
{
"publicKey": "0271cf3881e6eadad960f47125434342e57e65b98a78afa99f9b4191c02dd7ab3b",
"alias": "eclair@wakiyamap",
"capacity": 56554430
},
...
],
"topByChannels": [
{
"publicKey": "02dadf6c28f3284d591cd2a4189d1530c1ff82c07059ebea150a33ab76e7364b4a",
"alias": "珠美ノード⚡@wakiyamap",
"channels": 15
},
{
"publicKey": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"alias": "guggero",
"channels": 12
},
...
]
}Returns a list of the top 100 nodes by liquidity (aggregate channel capacity).
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/rankings/liquidity"[
{
"publicKey": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"alias": "guggero",
"capacity": 66577093,
"channels": 12,
"firstSeen": 1608832520,
"updatedAt": 1662440260,
"city": null,
"country": {
"de": "Deutschland",
"en": "Germany",
"es": "Alemania",
"fr": "Allemagne",
"ja": "ドイツ連邦共和国",
"pt-BR": "Alemanha",
"ru": "Германия",
"zh-CN": "德国"
}
},
{
"publicKey": "0271cf3881e6eadad960f47125434342e57e65b98a78afa99f9b4191c02dd7ab3b",
"alias": "eclair@wakiyamap",
"capacity": 56554430,
"channels": 4,
"firstSeen": 1628031165,
"updatedAt": 1648064593,
"city": {
"de": "Ōsaka",
"en": "Osaka",
"es": "Osaka",
"fr": "Osaka",
"ja": "大阪市",
"pt-BR": "Osaka",
"ru": "Осака"
},
"country": {
"de": "Japan",
"en": "Japan",
"es": "Japón",
"fr": "Japon",
"ja": "日本",
"pt-BR": "Japão",
"ru": "Япония",
"zh-CN": "日本"
}
},
...
]Returns a list of the top 100 nodes by connectivity (number of open channels).
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/rankings/connectivity"[
{
"publicKey": "02dadf6c28f3284d591cd2a4189d1530c1ff82c07059ebea150a33ab76e7364b4a",
"alias": "珠美ノード⚡@wakiyamap",
"channels": 15,
"capacity": 51155987,
"firstSeen": 1612221581,
"updatedAt": 1662382573,
"city": null,
"country": {
"de": "Japan",
"en": "Japan",
"es": "Japón",
"fr": "Japon",
"ja": "日本",
"pt-BR": "Japão",
"ru": "Япония",
"zh-CN": "日本"
}
},
{
"publicKey": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"alias": "guggero",
"channels": 12,
"capacity": 66577093,
"firstSeen": 1608832520,
"updatedAt": 1662440260,
"city": null,
"country": {
"de": "Deutschland",
"en": "Germany",
"es": "Alemania",
"fr": "Allemagne",
"ja": "ドイツ連邦共和国",
"pt-BR": "Alemanha",
"ru": "Германия",
"zh-CN": "德国"
}
},
...
]Returns a list of the top 100 oldest nodes.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/rankings/age"[
{
"publicKey": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"alias": "guggero",
"channels": 12,
"capacity": 66577093,
"firstSeen": 1608832520,
"updatedAt": 1662440260,
"city": null,
"country": {
"de": "Deutschland",
"en": "Germany",
"es": "Alemania",
"fr": "Allemagne",
"ja": "ドイツ連邦共和国",
"pt-BR": "Alemanha",
"ru": "Германия",
"zh-CN": "德国"
}
},
{
"publicKey": "03870a4c4c54a9b2e705023d706843ffbac5b0e95e2b80d4b02dc7a9efb5380322",
"alias": "03870a4c4c54a9b2e705",
"channels": 2,
"capacity": 30000000,
"firstSeen": 1608832520,
"updatedAt": 0,
"city": null,
"country": null
},
...
]Returns details about a node with the given :pubKey.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120"{
"public_key": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"alias": "guggero",
"first_seen": 1608832520,
"updated_at": 1662440260,
"color": "#cccccc",
"sockets": "88.99.101.67:9735",
"as_number": 24940,
"city_id": null,
"country_id": 2921044,
"subdivision_id": null,
"longitude": 9.491,
"latitude": 51.2993,
"iso_code": "DE",
"as_organization": "Hetzner Online GmbH",
"city": null,
"country": {
"de": "Deutschland",
"en": "Germany",
"es": "Alemania",
"fr": "Allemagne",
"ja": "ドイツ連邦共和国",
"pt-BR": "Alemanha",
"ru": "Германия",
"zh-CN": "德国"
},
"subdivision": null,
"active_channel_count": 12,
"capacity": "66577093",
"opened_channel_count": 16,
"closed_channel_count": 0
}Returns historical stats for a node with the given :pubKey.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/nodes/02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120/statistics"[
{
"added": 1662422400,
"capacity": 66577093,
"channels": 12
},
{
"added": 1662336000,
"capacity": 63477093,
"channels": 9
},
...
]Returns info about a Lightning channel with the given :channelId.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/channels/58998694435160064"{
"id": "58998694435160064",
"short_id": "53659x5x0",
"capacity": 16777215,
"transaction_id": "cbb18e4b23c2a27736fa5be559fee7efcc855f2dfb1f16b125f686c307513ef3",
"transaction_vout": 0,
"closing_transaction_id": null,
"closing_reason": null,
"updated_at": "2022-09-04T10:15:51.000Z",
"created": "2021-09-02T07:08:40.000Z",
"status": 1,
"node_left": {
"alias": "STRANGESUCKER-v0.12.0-11-gea4143",
"public_key": "03b9e6c1dec203f47efc95d003314d22cbb12a1324de4b091fe7d68f321a56322f",
"channels": 4,
"capacity": 55778192,
"base_fee_mtokens": 0,
"cltv_delta": 0,
"fee_rate": 0,
"is_disabled": 0,
"max_htlc_mtokens": 16609443000,
"min_htlc_mtokens": 1,
"updated_at": "2022-09-04T10:15:51.000Z",
"longitude": 19.1477,
"latitude": 48.7386
},
"node_right": {
"alias": "guggero",
"public_key": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"channels": 12,
"capacity": 66577093,
"base_fee_mtokens": 1000,
"cltv_delta": 0,
"fee_rate": 1,
"is_disabled": 0,
"max_htlc_mtokens": 16777215000,
"min_htlc_mtokens": 1000,
"updated_at": "2022-09-01T22:57:40.000Z",
"longitude": 9.491,
"latitude": 51.2993
}
}Returns channels that correspond to the given :txid (multiple transaction IDs can be specified).
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/channels/txids?txId[]=cbb18e4b23c2a27736fa5be559fee7efcc855f2dfb1f16b125f686c307513ef3&txId[]=%{2}"[
{
"inputs": {},
"outputs": {
"0": {
"id": "58998694435160064",
"short_id": "53659x5x0",
"capacity": 16777215,
"transaction_id": "cbb18e4b23c2a27736fa5be559fee7efcc855f2dfb1f16b125f686c307513ef3",
"transaction_vout": 0,
"closing_transaction_id": null,
"closing_reason": null,
"updated_at": "2022-09-04T10:15:51.000Z",
"created": "2021-09-02T07:08:40.000Z",
"status": 1,
"node_left": {
"alias": "STRANGESUCKER-v0.12.0-11-gea4143",
"public_key": "03b9e6c1dec203f47efc95d003314d22cbb12a1324de4b091fe7d68f321a56322f",
"base_fee_mtokens": 0,
"cltv_delta": 0,
"fee_rate": 0,
"is_disabled": 0,
"max_htlc_mtokens": 16609443000,
"min_htlc_mtokens": 1,
"updated_at": "2022-09-04T10:15:51.000Z"
},
"node_right": {
"alias": "guggero",
"public_key": "02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"base_fee_mtokens": 1000,
"cltv_delta": 0,
"fee_rate": 1,
"is_disabled": 0,
"max_htlc_mtokens": 16777215000,
"min_htlc_mtokens": 1000,
"updated_at": "2022-09-01T22:57:40.000Z"
}
}
}
}
]Returns a list of a node's channels given its :pubKey. Ten channels are returned at a time. Use :index for paging. :channelStatus can be open, active, or closed.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/channels?public_key=02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120&status=open"[
{
"status": 1,
"closing_reason": null,
"closing_date": null,
"capacity": 16777215,
"short_id": "53659x5x0",
"id": "58998694435160064",
"fee_rate": 1,
"node": {
"alias": "STRANGESUCKER-v0.12.0-11-gea4143",
"public_key": "03b9e6c1dec203f47efc95d003314d22cbb12a1324de4b091fe7d68f321a56322f",
"channels": 4,
"capacity": "55778192"
}
},
{
"status": 1,
"closing_reason": null,
"closing_date": null,
"capacity": 15000000,
"short_id": "17498x2x1",
"id": "19239254462955521",
"fee_rate": 1,
"node": {
"alias": "03870a4c4c54a9b2e705",
"public_key": "03870a4c4c54a9b2e705023d706843ffbac5b0e95e2b80d4b02dc7a9efb5380322",
"channels": 2,
"capacity": "30000000"
}
},
...
]Returns a list of channels with corresponding node geodata.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/channels-geo"[
[
"02dadf6c28f3284d591cd2a4189d1530c1ff82c07059ebea150a33ab76e7364b4a",
"珠美ノード⚡@wakiyamap",
139.6895,
35.6897,
"0271cf3881e6eadad960f47125434342e57e65b98a78afa99f9b4191c02dd7ab3b",
"eclair@wakiyamap",
135.4911,
34.7135
],
[
"03b9e6c1dec203f47efc95d003314d22cbb12a1324de4b091fe7d68f321a56322f",
"STRANGESUCKER-v0.12.0-11-gea4143",
19.1477,
48.7386,
"02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"guggero",
9.491,
51.2993
],
...
]Returns a list of channels with corresponding geodata for a node with the given :pubKey.
curl -sSL "https://signet.btc.tx.taxi/signet/api/v1/lightning/channels-geo/02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120"[
[
"02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"guggero",
9.491,
51.2993,
"0271cf3881e6eadad960f47125434342e57e65b98a78afa99f9b4191c02dd7ab3b",
"eclair@wakiyamap",
135.4911,
34.7135
],
[
"02dadf6c28f3284d591cd2a4189d1530c1ff82c07059ebea150a33ab76e7364b4a",
"珠美ノード⚡@wakiyamap",
139.6895,
35.6897,
"02ad48db0d1a7f7c3d186ddc57f8e62c49a1234fb829af9ccd3be1a4596bc39120",
"guggero",
9.491,
51.2993
],
...
]